Error Loading PHP Debugger

(Using the latest pre-release version)I want to debug a PHP Script.In File | Settings | PHP I have an interpreter set for version 5.5.  The path to the exe is: C:\Program Files (x86)\PHP5.5  This is also where the INI file is for 5.5.However, when I debug a script with phpinfo(), it shows that the wrong INI file is being used: Configuration File (php.ini) Path => C:\Windows  Loaded Configuration File => C:\Program Files (x86)\PHP\php.ini   This is the path to an older version (5.3.6)How do I tell PHP Storm to use the ini file in 5.5?Greg
1 comment

Hi there,

Few possible ways to specify what ini file to use:
1) Define PHPRC environment variable (or another/similar way, e.g. [HKEY_LOCAL_MACHINE\SOFTWARE\PHP] registry key etc) and point to correct folder where ini file is located (will affect whole system; may require restarting your PC) -- http://www.php.net/manual/en/configuration.file.php
2) Pass exact path to ini file via -c <ini file> parameter -- http://www.php.net/manual/en/features.command line.options.php  (in PhpStorm you can pass it as part of Run/Debug Configuration -- "Interpreter Options" field)

0

Please sign in to leave a comment.